routes/web.php
<?php

use App\Http\Controllers\CategoriesController;
use App\Http\Controllers\ClaimsController;
use App\Http\Controllers\PagesController;
use App\Http\Controllers\UsersController;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/


Route::get('/', [CategoriesController::class, 'index']);

Route::resource('page', PagesController::class);

Route::resource('categories', CategoriesController::class)->only('index', 'show');

Route::resource('books.claims', ClaimsController::class);

Route::post('books.claims', [ClaimsController::class, 'store']);

Route::get('/users/register', [UsersController::class, 'register'])->name('users.register');
Route::post('/users', [UsersController::class, 'store'])->name('users.store');


Route::get('/login', [App\Http\Controllers\SessionsController::class, 'create'])->name('sessions.login');
Route::post('/login', [App\Http\Controllers\SessionsController::class, 'store'])->name('sessions.store');
Route::delete('/logout', [App\Http\Controllers\SessionsController::class, 'destroy'])->name('sessions.delete');

resources/views/layouts/base.blade.php
<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <title>Library</title>
    <!-- Scripts -->
    <script src="{{ asset('js/app.js') }}" defer></script>

    <!-- Fonts -->
    <link rel="dns-prefetch" href="//fonts.gstatic.com">
    <link href="https://fonts.googleapis.com/css?family=Nunito" rel="stylesheet">

    <!-- Styles -->
    <link href="{{ asset('css/app.css') }}" rel="stylesheet">

</head>
<body>

<nav class="navbar navbar-expand-md navbar-light bg-white shadow-sm">
    <div class="container">
        <a class="navbar-brand" href="{{ url('/') }}">
            {{ config('app.name', 'Laravel') }}
        </a>

        @if(!empty(auth_user()))
        <a class="navbar-brand" href="{{route('books.claims.index', compact('book'))}}">My book</a>
        @endif
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent"
                aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="{{ __('Toggle navigation') }}">
            <span class="navbar-toggler-icon"></span>
        </button>

        <div class="collapse navbar-collapse" id="navbarSupportedContent">


            <ul class="navbar-nav ml-auto">

                <li class="nav-item">
                <form action="{{route('sessions.delete')}}" method="post">
                    @csrf
                    @method('delete')
                    <button type="submit" class="btn btn-sm btn-outline-danger">LOGOUT</button>
                </form>
                </li>

                <li class="nav-item">
                    <a class="nav-link" href="{{route('sessions.login')}}">{{ __('Login') }}</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="{{route('users.register')}}">{{ __('Register') }}</a>
                </li>
            </ul>
        </div>
    </div>
</nav>


<div class="flex-center position-ref full-height">
    <div class="content container-sm" style="padding: 20px 0 0 0">
        @yield('content')
    </div>
</div>
</body>
</html>

resources/views/layouts/page.blade.php
@extends('layouts.base')
@section('content')

    @include('notifications.alerts')

    <h1>Hello, {{auth_user()->library_card}}</h1>
    <form action="{{route('sessions.delete')}}" method="post">
        @csrf
        @method('delete')
        <button type="submit" class="btn btn-sm btn-outline-danger">LOGOUT</button>
    </form>

@endsection